#include "bs.h"
#include "paramSimul.h"
#include "evaluationConfigurerations.h"
#include "ue.h"
#include "bs.h"
#include "const.h"

/*===================================================================
FUNCTION: Sector::Sector()

AUTHOR: SJ

DESCRIPTION: Sector Object Constructor

NOTES: Currently, nothing is done when a sector is instantiated

===================================================================*/

BS::BS()
{
}

/*===================================================================
FUNCTION: Sector::~Sector()

AUTHOR: SJ

DESCRIPTION: Sector Object Destructor

NOTES: Currently, nothing is done

===================================================================*/
BS::~BS()
{
}


void BS::Deploy_UMi_site()
{
	do
	{
		location.y = (inter_site_distance / pow(3, 0.5) - 2 * micro_cell_radius) / 2.* Rand.u();
		location.x = (inter_site_distance / pow(3, 0.5) - 2 * micro_cell_radius) / sqrt(3.)* Rand.u();
	} while (location.x > (-location.y + (inter_site_distance / pow(3, 0.5) - 2 * micro_cell_radius)) / sqrt(3.));


	double a;

	a = Rand.u();
	if (a < 0.25)
	{
		location.y = -location.y;
	}
	else if (a < 0.5)
	{
		location.x = -location.x;
		location.y = -location.y;
	}
	else if (a < 0.75)
	{
		location.x = -location.x;
	}

}