#ifndef _SECTOR_H_
#define _SECTOR_H_
#include <stdio.h>
#include <iostream>
#include <fstream>
#include "const.h"
#include <vector>
#include "struct.h"
#include <iostream>

using namespace std;

class Sector
{
public:

	Sector();
	~Sector();

	LOCATION location;

	LOCATION d_rx[8][16][2][2][2]; // sector(rx) [M][N][P][Mg][Ng]

	int     **cqis;
	int num_rs;
	

	double alpha;
	double beta;
	double gamma;

	vector  <int> ue_in_control;	
	vector  <int> zenith_steering_idx;
	vector  <int> azimuth_steering_idx;
	

	SCHEDULE_DECISION *pschedulewrite;


	void initialization(int);
	void RR_scheduling(void);
	void PF_scheduling(void);

//	void read_Snr();
	void ramdom_selection_UE();
	void determine_CQI();
	void ramdom_selection_RI_PMI();
	void UE_Power_control();

private:

	
	int     _sector_idx;
	
};


#endif