#include "paramSimul.h"
#include "ue.h"
#include "objectBSSectorUe.h"
#include "paramFastFading.h"
#include "rvGenerater.h"
#include "evaluationConfigurerations.h"
#include <algorithm>
#include "channel.h"


void Generate_longterm_channel()
{
	ANTENNA_FIELD_COMPLEX sector_LOS_field;
	ANTENNA_FIELD_COMPLEX sector_NLOS_field[20][20];

	ANTENNA_FIELD_COMPLEX ue_LOS_field;// [panel][pol][zenith][azimuth] (maximum number) 
	ANTENNA_FIELD_COMPLEX ue_NLOS_field[20][20]; //[panel][pol][zenith][azimuth][cluster][ray]

		
	for (int bs_idx = 0; bs_idx < num_bs; bs_idx++)
	{
		for (int ue_idx = 0; ue_idx < num_ue; ue_idx++)
		{
			cout << '\r';
			cout << "bs_idx : " << bs_idx+1<< "  ue_idx : "<< ue_idx+1<<"     "<< int ((double(bs_idx*num_ue)+double(ue_idx+1))/ double(num_ue*num_bs)*100.) << "%" ;

			if (ue[ue_idx].sector_in_control / num_TRxP_per_site == bs_idx)
			{
				if (channel[bs_idx][ue_idx].fast_fading_condition == LOS)
				{

					channel[bs_idx][ue_idx].Compute_alpha_LOS();

				}
				channel[bs_idx][ue_idx].Compute_alpha_NLOS();
			}
		
			
		}
	}
	cout.unsetf(ios::fixed);
}
