#include "paramSimul.h"
#include "ue.h"
#include "objectBSSectorUe.h"
#include "paramFastFading.h"
#include "rvGenerater.h"
#include "evaluationConfigurerations.h"
#include <algorithm>
#include "channel.h"


void Update_channel(void)
{
	complex <double> exp_j2pi_r_nm_vt[20][20];
	complex <double> exp_j2pirvt;

	
	for (int ue_idx=0 ; ue_idx<num_ue ; ue_idx++)
	{
		cout << '\r';
		cout << "  ue_idx : " << ue_idx + 1 << "   " << int(double(ue_idx + 1) / double(num_ue) *100.) << "%";
		for (int sec_idx =0; sec_idx<num_sector; sec_idx++)
		{
			if (ue[ue_idx].sector_in_control == sec_idx)
			{
				channel[sec_idx / num_TRxP_per_site][ue_idx].Generate_channel(sec_idx%num_TRxP_per_site);
			}
			
		}

	}

	for (int ue_idx = 0; ue_idx < num_ue; ue_idx++)
	{
		cout << '\r';
		cout << "  ue_idx : " << ue_idx + 1 << "   " << int(double(ue_idx + 1) / double(num_ue) *100.) << "%";
		
	}

	
}

void Generate_interference()
{
	for (int ue_idx = 0; ue_idx > num_ue; ue_idx++)
	{
		ue[ue_idx].Calculate_Interference();
	}
}



void CSI_update(void)
{
	if (t % csi_feedback_interval == 0)
	{
		cout << endl;
		cout << "CSI_calculation" << endl;
		for (int ue_idx = 0; ue_idx < num_ue; ue_idx++)
		{
			cout << '\r';
			cout << "  ue_idx : " << ue_idx + 1 << "   " << int(double(ue_idx + 1) / double(num_ue) *100.) << "%";
			ue[ue_idx].CSI_calculation();
		}
	}
	else
	{
		for (int ue_idx = 0; ue_idx < num_ue; ue_idx++)
		{
			for (int rb_idx = 0; rb_idx < num_rb; rb_idx++)
			{
				ue[ue_idx].PMI[rb_idx][t%csi_history_length] = ue[ue_idx].PMI[rb_idx][(t + csi_history_length - 1) % csi_history_length];
			}
		}
	}
	
	for (int ue_idx = 0; ue_idx < num_ue; ue_idx++)
	{
		ue[ue_idx].Save_channel();
	}


}

